<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package goldy-solar
 */
global $contecustomarr;
$featuredimage_slider  = get_theme_mod( 'goldy_solar_our_team_section_content',$contecustomarr['options']['goldy_solar_our_team_section_content']);
if(empty($featuredimage_slider)){
	$featuredimage_slider  = $contecustomarr['options']['goldy_solar_our_team_section_content'];
}
$featured_slides = json_decode( $featuredimage_slider );
	?>
		<div class="our_team_section">
			<div class="our_team_info scroll-element js-scroll fade-in-bottom">
				<div class="our_team_main_title">
					<div class="our_team_tit heading_main_title">
						<h2><?php echo esc_html(get_theme_mod( 'goldy_solar_our_team_main_title',$contecustomarr['options']['goldy_solar_our_team_main_title'])); ?></h2>
					</div>

					<div class="our_team_main_disc">
						<p><?php echo esc_html(get_theme_mod( 'goldy_solar_our_team_main_discription',$contecustomarr['options']['goldy_solar_our_team_main_discription']));?></p>
					</div>
				</div>
				<div class="our_team_data">
					<?php 
					foreach ( $featured_slides as $info_item ) {
						// echo "<pre>";
						// print_r($info_item);
						// echo "<pre>";
								
						?>
						<div class="our_team_container">							
							<div class="our_team_container_data">	
								<div class="our_team_img">
									<div class="out_team_pic">
										<?php
										if(!empty( $info_item->image_url)){
											?>
											<img src="<?php echo esc_url($info_item->image_url); ?>">
											<?php
										}else{
											?>
											<img class="our_team_main_image" src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/no-thumb.jpg" alt="The Last of us">
											<?php
										}
										?>
										<div class="our_team_icon_contain">
											<div class="our_teams_contain">
												<div class="our_team_title">
													<a href="<?php echo esc_html($info_item->link); ?>">
														<h3><?php echo esc_html($info_item->title); ?></h3>
													</a>
												</div>
												<div class="our_team_headline">
													<p><?php echo esc_html($info_item->subtitle);?></p>
												</div>
											</div>
											
										</div>	 
									</div>
								</div>
							</div>
						</div>
							<?php
					} 
					?>
				</div>
			</div>
		</div>